> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/license-wizard-user-control/user-registration-properties.md).

# User Registration Properties

<table data-full-width="true"><thead><tr><th width="423">Name</th><th>Description</th></tr></thead><tbody><tr><td>QlmAllowMultipleTrialKeyRequests</td><td>Allow the user to request another trial key even if he/she has already requested and activated a trial key once.</td></tr><tr><td>QlmEmailTrialKeyAfterUserRegistration</td><td>When the user registration page is enabled, the wizard can automatically send a request to the server to email a trial key after the user is successfully registered on the server.</td></tr><tr><td>QlmGenerateTrialKeyAfterUserRegistration</td><td>When the user registration page is enabled, the wizard can automatically generate a trial key after the user is successfully registered on the server.</td></tr><tr><td>QlmRegisterUserCaption</td><td>Caption of the Register button.</td></tr><tr><td>QlmTrialKeyArgs</td><td>Specify additional custom arguments to send to the server when generating a key on the server. Example: &#x26;is_maintplan=true</td></tr><tr><td>QlmTrialKeyDuration</td><td>Set the duration of the trial in days</td></tr><tr><td>QlmTrialKeyEmailTemplate</td><td>Set the email template to use when emailing the trial key to the user.</td></tr><tr><td>QlmTrialKeyFeatures</td><td>Select which features are enabled for the automatically generated trial key.</td></tr><tr><td>QlmTrialKeyUserData</td><td>Specify the User Data to set when generating a trial license key.</td></tr><tr><td>QlmTrialKeyUserGroup</td><td>Specify the User Group to set when generating a trial license key.</td></tr><tr><td>QlmUserRegistrationCaption</td><td>Caption of the User Registration page.</td></tr><tr><td>QlmUserRegistrationCompanyRequired</td><td>Specify whether the Company is required when registering a user.</td></tr><tr><td>QlmUserRegistrationCountryRequired</td><td>Specify whether the Country is required when registering a user.</td></tr><tr><td>QlmUserRegistrationEmailRequired</td><td>Specify whether the Email is required when registering a user.</td></tr><tr><td>QlmUserRegistrationFullNameRequired</td><td>Specify whether the Full name is required when registering a user.</td></tr><tr><td>QlmUserRegistrationPhoneRequired</td><td>Specify whether the Phone is required when registering a user.</td></tr><tr><td>QlmUserRegistrationTitle</td><td>Title of the User Registration page.</td></tr><tr><td>QlmUseTryButtonToCreateTrialKey</td><td>When the user clicks the Try button, if either QlmGenerateTrialKeyAfterUserRegistration or QlmEmailTrialKeyAfterUserRegistration is true, the wizard will generate a trial key after the user enters his contact information.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/license-wizard-user-control/user-registration-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
